upstream {{ item.name }} {
  {% for server in upstream_servers %}server {{ server }};
  {% endfor %}
}

server {
  listen 80;
  listen {{ ansible_default_ipv4.address }}:80;
  server_name {{ item.url }};
  
  location /remote/ {
    proxy_pass http://{{ item.name }};
  }
  
  location / {
    root /var/www/{{ item.url }};
    index index.html;
    try_files $uri /index.html;
  }
}